Bug 283211 - [RHEL5]: Kexec tools should look for a PAE kernel on 32-bit machines with > 4GB memory
[RHEL5]: Kexec tools should look for a PAE kernel on 32-bit machines with > 4...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Neil Horman
Depends On:
  Show dependency treegraph
Reported: 2007-09-07 16:56 EDT by Chris Lalancette
Modified: 2009-03-23 07:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-23 07:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2007-09-07 16:56:10 EDT
Description of problem:
If we are running kexec on a 32-bit machine, and
/etc/sysconfig/kdump:KDUMP_KERNELVER is empty, and the machine has memory mapped
above 4GB (you can tell by looking at /proc/iomem), then the kdump init script
should automatically look for a PAE kernel, and then fall back to a non-PAE
kernel if that is not found for the kexec kernel.  The reason for this is the
without the PAE kernel, a machine with > 4G won't be able to dump all of memory.
Comment 1 Neil Horman 2007-09-08 16:12:59 EDT
we should be able to get all of physical memory that the running kernel can
access from the kdump kernel already, without needing to special case PAE.  Do
you have a case in which thats not working?  If so, please provide me a reproducer.
Comment 2 Neil Horman 2008-09-25 08:45:39 EDT
Ping Chris?
Comment 3 Chris Lalancette 2008-09-26 02:23:42 EDT
    Oops.  I never looked back at this one, sorry.  I'll have to try again; it certainly may have just been user error.  I'll be away for a week, though, so I won't get back to it until the second week in October, though.  Thanks for the reminder.

Chris Lalancette
Comment 4 Neil Horman 2008-09-26 07:14:41 EDT
well, let me know when you finish retesting.
Comment 5 Neil Horman 2009-03-23 06:59:12 EDT
chris, any update on this?  Its been sitting for some time.
Comment 6 Chris Lalancette 2009-03-23 07:53:10 EDT
Sorry Neil.  I just tried this again, and I couldn't get it to fail; it seems that the kdump script is choosing the correct kernel for all of the cases I can come up with.  I'll close this as NOTABUG.  Thanks for being patient.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.